Skip to content

telephony.configs.list

Every carrier account.

Reference

GET/api/v1/organizations/telephony-configs

Auth
API key in X-API-Key
Content
none
Returns
200 · TelephonyConfigurationListResponse

List the org's telephony configurations with phone-number counts.

Arguments

This method takes no arguments.

Example request

curl -X GET "https://api.decibyl.ai/api/v1/organizations/telephony-configs" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "configurations": [
    {
      "id": 1,
      "name": "string",
      "provider": "string",
      "is_default_outbound": true,
      "is_platform_managed": true,
      "phone_number_count": 0,
      "created_at": "2026-09-14T09:30:00Z",
      "updated_at": "2026-09-14T09:30:00Z"
    }
  ]
}

Errors

StatusWhen
404Not found
422Validation Error